Eclipse Rich Ajax Platform Release 1.3

## org.eclipse.rwt.service
Interface ISettingStoreFactory

All Known Implementing Classes:
  RWTFileSettingStoreFactory

public interface ISettingStoreFactory

A setting store factory is responsible for creating and initializing a specific kind of setting store.

At runtime, RWT will use a single ISettingStoreFactory implementation to create new `ISettingStore` instances. Refer to documentation of the `org.eclipse.rap.ui.settingstores` for details on how to configure which factory is used.

If nothing is specified the `FileSettingStoreFactory` will be used by default.

This interface must be implemented by clients who wish to use their own implementation of an `ISettingStore`.

Since:
  1.1

Method Summary
`ISettingStore` `createSettingStore(java.lang.String storeId)` Create, initialize and return a specific ISettingStore instance.

Method Detail

### createSettingStore

    public ISettingStore createSettingStore(java.lang.String storeId)

  Create, initialize and return a specific ISettingStore instance.

  Parameters:
    `storeId` - a non-null, non-empty, non-whitespace-only String.
  Returns:
    an `ISettingStore` instance; never `null`
  Throws:
    `java.lang.NullPointerException` - if storeId is `null</null>`
    `java.lang.IllegalArgumentException` - if storeId is empty or composed entirely of whitespace

Eclipse Rich Ajax Platform Release 1.3

Copyright (c) Innoopract Informationssysteme GmbH and others 2002, 2011. All rights reserved.